defmodule Poex.Repo.Migrations.CreatePadDocuments do
  use Ecto.Migration

  def change do
    create table(:pad_documents, primary_key: false) do
      add :id, :uuid, primary_key: true, null: false
      add :title, :string
      add :state, :map, default: "{}"

      timestamps(type: :utc_datetime)
    end
  end
end
