defmodule Poex.Pads.DocumentDynamicSupervisor do
  use DynamicSupervisor
  alias Poex.Pads.DocumentServer

  def start_link(init_arg) do
    DynamicSupervisor.start_link(__MODULE__, init_arg, name: __MODULE__)
  end

  def start_document_server(args) do
    spec = {DocumentServer, args}
    DynamicSupervisor.start_child(__MODULE__, spec)
  end

  def init(_init_arg) do
    DynamicSupervisor.init(strategy: :one_for_one)
  end
end
